# Uses of Class
org.apache.sling.distribution.journal.bookkeeper.BookKeeperConfig

Packages that use BookKeeperConfig
Package
Description
org.apache.sling.distribution.journal.bookkeeper

## Uses of BookKeeperConfig in org.apache.sling.distribution.journal.bookkeeper

Methods in org.apache.sling.distribution.journal.bookkeeper with parameters of type BookKeeperConfig
Modifier and Type
Method
Description
`BookKeeper`
BookKeeperFactory.`create(org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, BookKeeperConfig config, Consumer<org.apache.sling.distribution.journal.messages.PackageStatusMessage> statusSender, Consumer<org.apache.sling.distribution.journal.messages.LogMessage> logSender, SubscriberMetrics subscriberMetrics)`
Constructors in org.apache.sling.distribution.journal.bookkeeper with parameters of type BookKeeperConfig
Modifier
Constructor
Description
``
`BookKeeper(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, SubscriberMetrics subscriberMetrics, org.apache.sling.distribution.journal.bookkeeper.PackageHandler packageHandler, org.osgi.service.event.EventAdmin eventAdmin, Consumer<org.apache.sling.distribution.journal.messages.PackageStatusMessage> sender, Consumer<org.apache.sling.distribution.journal.messages.LogMessage> logSender, BookKeeperConfig config, org.apache.sling.distribution.ImportPreProcessor importPreProcessor, org.apache.sling.distribution.ImportPostProcessor importPostProcessor, org.apache.sling.distribution.InvalidationProcessor invalidationProcessor)`